## mhc 0.25.1+20130503

=== emacs/Makefile ===
# -*- Makefile -*-

# MEW_OPTS  = --with-mew
# WL_OPTS   = --with-wl
# GNUS_OPTS = --with-gnus

## To change install directory.
# INST_OPTS = --with-lispdir=/usr/local/share/emacs/site-lisp/mhc

## To add paths of additional emacs-lisp libraries.
# INST_OPTS = --with-addpath=/foo:/bar:/baz

EMACS  = emacs
XEMACS = xemacs
FLAGS  = -batch -q -no-site-file -l MHC-MK
OPTS   = $(INST_OPTS) $(MEW_OPTS) $(WL_OPTS) $(GNUS_OPTS)

elc:
	$(EMACS) $(FLAGS) -f make-mhc-compile $(OPTS)

install:
	$(EMACS) $(FLAGS) -f make-mhc-install $(OPTS) # $(MAKE)

package:
	$(XEMACS) $(FLAGS) -f make-mhc-compile-package $(OPTS)

install-package:
	$(XEMACS) $(FLAGS) -f make-mhc-install-package $(OPTS) # $(MAKE)

clean:
	-rm -f *.elc auto-autoloads.el custom-load.el

### Suffix rules
.SUFFIXES: .elc .el

.el.elc:
	-rm -f $@
	$(EMACS) -batch -q -no-site-file \
		-eval '(setq load-path (cons default-directory load-path))' \
		-l mhc.el -f batch-byte-compile $<

## mhc 0.25.1+20120403

=== debian/changelog ===
mhc (0.25.1+20120403-2) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags to support hardening flags
  * debian/control: Add emacs24 to Depends

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2012 11:50:33 +0900

mhc (0.25.1+20120403-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2012-04-03,
    yoshinari-nomura-mhc-e8c7645, downloaded from
    <http://github.com/yoshinari-nomura/mhc>)
  * debian/rules, debian/docs, debian/mhc-utils.examples, debian/watch:
    Follow the upstream changes.
  * debian/rules, debian/*dirs, debian/*files: New targets build-arch and
    build-indep.
  * debian/control: Update Standards-Version to 3.9.3.
  * debian/copyright: Switch to copyright-format-1.0.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 30 Apr 2012 23:59:42 +0900

mhc (0.25.1+20090531-2) unstable; urgency=low

  * debian/control:
    - Add emacs-snapshot to Depends.
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Feb 2010 13:25:10 +0900

mhc (0.25.1+20090531-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2009-05-31)
  * debian/control:
    - Add emacs23 to Depends.
    - Set Section of mhc to lisp.
    - Update Standards-Version to 3.8.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 03 Aug 2009 21:39:42 +0900

mhc (0.25.1+20090120-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20090120.tar.gz')
    - Conforming to pilot-link 0.12 or later. (closes: #398459)
  * debian/control:
    - Build-Depends: Update libpisock-dev version to 0.12.
    - Depends: Add make.
    - Suggests: Replace cupsys-client with cups-client.
  * debian/patches, debian/README.source: Removed, not to use quilt.
  * debian/rules, debian/control: Don't use quilt.
  * debian/po, debian/mhc-utils.config, debian/mhc-utils.postinst,
    debian/mhc-utils.templates: Removed, not to support /dev/pilot creation.
  * debian/rules, debian/control: Don't use po-debconf.
  * debian/emacsen-*: Rewritten.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Feb 2009 22:07:11 +0900

mhc (0.25.1+20080720-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20080720.tar.gz')
  * debian/README.source: New file to explain source package handling.
  * debian/control: Set Standards-Version to 3.8.0.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 23 Jul 2008 22:47:33 +0900

mhc (0.25.1+20080320-2) unstable; urgency=low

  * debian/control: Build-Depends: debhelper (>= 6).

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 21 Mar 2008 22:44:51 +0900

mhc (0.25.1+20080320-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20080320.tar.gz')
  * debian/today.1: Fix warning: `'!'' not defined.
  * debian/compat: 5 -> 6.
  * debian/control: Remove `Vcs-Cvs:'.
  * debian/TODO: Removed.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 20 Mar 2008 10:18:52 +0900

mhc (0.25.1+20071220-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20071220.tar.gz')
  * debian/control:
    - Add fields `Vcs-Cvs:' and `Homepage:'.
    - Remove `Homepage:' from Description.
    - Revise Description.
    - Set Standards-Version to 3.7.3.
  * debian/README.Debian: Revised.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Dec 2007 19:07:02 +0900

mhc (0.25.1+20071020-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20071020.tar.gz')
  * debian/mhc-utils.menu: Set section to "Applications/Project Management".

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 04 Nov 2007 23:54:14 +0900

mhc (0.25.1+20070620-2) unstable; urgency=low

  * debian/emacsen-install: Don't install *.elc for mhc-bm.el, mhc-cmail.el,
    mhc-gnus.el, mhc-mime.el and nnmhc.el.
  * debian/control:
    - Add `emacs | emacsen' to Depends for Gnus.
    - Remove t-gnus from Depends, which no longer exists in Debian.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 24 Aug 2007 21:00:03 +0900

mhc (0.25.1+20070620-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20070620.tar.gz')
  * debian/mhc-utils.postinst: Disable libpisock8 stuff. (closes: #430210)
  * debian/control:
    - Prefer emacs to emacs21.
    - Add emacs22 to Depends.
    - Remove emacs-snapshot from Depends.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 23 Jun 2007 21:29:27 +0900

mhc (0.25.1+20070220-1) unstable; urgency=low

  * New upstream release. (development snapshot, downloaded from
    `http://www.quickhack.net/mhc/arc/mhc-current-snap20070220.tar.gz',
    closes: #377455)
    - Merged Debian patches for ruby1.8, gtk2, etc.
  * debian/README.Debian: Described how to use MHC on emacsen mailer.
  * Handling patch with quilt.
    - libpisock9.patch to fix FTBFS with pilot-link 0.12.
      (from KOIE Hidetaka, [mhc:02219] on 2006-09-30)
  * debian/rules: Use --with-ruby=$(RUBY) for configure.rb.
  * debian/emacsen-install: Don't support wanderlust2 and mule2.
  * debian/emacsen-startup (mhc-select-mailer-package): Support cmail.
  * debian/control:
    - Add cmail to Depends.
    - Add `gv, cupsys-client | lprng' to Suggests.
  * debian/po/ja.po: Typo fix.
  * debian/dot.emacs.el: New file, sample of ~/.emacs.
  * debian/watch: New file.
  * debian/copyright: Updated.



=== debian/control ===
Source: mhc
Section: misc
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Standards-Version: 3.9.3
Build-Depends: ruby1.8, ruby1.8-dev, libpisock-dev (>= 0.12), debhelper (>= 7)
Homepage: http://www.quickhack.net/mhc/

Package: mhc
Section: lisp
Architecture: all
Depends: emacs | emacs24 | emacs23 | emacs22 | emacs21 | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn | emacs-snapshot, mew | mew-beta | wl | wl-beta | gnus | emacs | emacsen | cmail, mew | mew-beta | gnus | emacs | emacsen | semi, make, ${misc:Depends}
Recommends: mhc-utils, bitmap-mule
Suggests: gv, cups-client | lprng
Replaces: mhc-utils
Description: schedule management tool for emacsen
 MHC (Message Harmonized Calendaring system) is a personal schedule
 management system, that is designed to help those who receive most
 appointments via email.
 .
 MHC has the following features:
  - You can easily import schedule articles from emails.
  - Simple data structure; schedule articles are stored in the same form
    of MH that allows you to manipulate stored data in many ways.
  - Powerful but simple expression of appointments.
 .
 This package provides mhc.el which cooperates with an emacsen mailer,
 Gnus, Mew, Wanderlust or cmail.  Non Elisp (command line/GUI) utilities
 are provided by the mhc-utils package.

Package: mhc-utils
Architecture: any
Depends: ruby1.8, libgtk2-ruby, ${shlibs:Depends}, ${misc:Depends}
Recommends: mhc
Suggests: ssh, menu
Description: command line/GUI utilities for the MHC schedule management system
 MHC (Message Harmonized Calendaring system) is a personal schedule
 management system, that is designed to help those who receive most
 appointments via email.
 .
 MHC has the following features:
  - You can easily import schedule articles from emails.
  - Simple data structure; schedule articles are stored in the same form
    of MH that allows you to manipulate stored data in many ways.
  - Powerful but simple expression of appointments.
 .
 This package provides the command line/GUI utilities, today, gemcal, etc.
 To use MHC on emacsen, install the mhc package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

SCRIPTS=adb2mhc gemcal mhc-sync mhc2palm palm2mhc today

RUBY=/usr/bin/ruby1.8
DESTDIR := $(CURDIR)/debian/mhc-utils
RUBYLIBDIR:=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
RUBYARCHDIR:=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["archdir"]')

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch $@

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(RUBY) ./configure.rb --with-ruby=$(RUBY) --with-icondir=/usr/share/pixmaps/mhc
	(cd ruby-ext && $(MAKE))
	touch $@

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	-(cd ruby-ext && $(MAKE) clean)
	-rm -f $(SCRIPTS) configure.log make.rb emacs/make.rb \
	  mkmf.log ruby-ext/mkmf.log ruby-ext/lib/mhc-gtk.rb \
	  ruby-ext/extconf.rb ruby-ext/Makefile
	dh_clean -Xemacs/mhc-vars.el.orig

install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i -Xemacs/mhc-vars.el.orig
	dh_installdirs -i

	cp emacs/*.el debian/mhc/usr/share/emacs/site-lisp/mhc
	cp emacs/Makefile debian/mhc/usr/share/emacs/site-lisp/mhc
	cp emacs/MHC-MK debian/mhc/usr/share/emacs/site-lisp/mhc
	cp emacs/README.ja debian/mhc/usr/share/doc/mhc/emacs.README.ja
	cp icons/*.xbm debian/mhc/usr/share/pixmaps/mhc/xbm
	cp icons/*.xpm debian/mhc/usr/share/pixmaps/mhc

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a -Xemacs/mhc-vars.el.orig
	dh_installdirs -a

	cp xpm/*.xpm debian/mhc-utils/usr/share/pixmaps/mhc
	for s in $(SCRIPTS); \
	do \
	  install -m 755 $$s $(CURDIR)/debian/mhc-utils/usr/bin/$$s; \
	done
	(cd ruby-ext && $(MAKE) install DESTDIR=$(DESTDIR) \
	  RUBYLIBDIR=$(DESTDIR)/$(RUBYLIBDIR) \
	  RUBYARCHDIR=$(DESTDIR)/$(RUBYARCHDIR))

install: install-arch install-indep

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -i
	dh_installexamples -i
	dh_installemacsen -i
	dh_installman debian/mhc.5
#	dh_installinfo -i
	dh_installchangelogs -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a debian/*.1
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install

## mhc 0.25.1+20130503

=== debian/changelog ===
mhc (0.25.1+20130503-2) unstable; urgency=low

  * Depend on ruby1.9.1 rather than ruby1.8
  * New patch 0002-Support-Ruby-1.9.patch
  * New patch 0001-Fix-format-not-a-string-literal.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 May 2013 18:02:46 +0900

mhc (0.25.1+20130503-1) unstable; urgency=low

  * Imported Upstream version 0.25.1+20130503
  * Add Vcs-Git and Vcs-Browser
  * Update debian/copyright
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 19 May 2013 00:56:41 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 SCRIPTS=adb2mhc gemcal mhc-sync mhc2palm palm2mhc today
 
-RUBY=/usr/bin/ruby1.8
+RUBY=/usr/bin/ruby1.9.1
 DESTDIR := $(CURDIR)/debian/mhc-utils
 RUBYLIBDIR:=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
 RUBYARCHDIR:=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["archdir"]')

## mhc 0.25.1+20130608

=== debian/changelog ===
mhc (0.25.1+20130608-1) unstable; urgency=low

  * Imported Upstream version 0.25.1+20130608
  * Remove debian/patches (merged upstream)
  * New patch 0001-Require-mkmf.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 08 Jun 2013 16:20:21 +0900

mhc (0.25.1+20130503-3) unstable; urgency=low

  * New patch 0003-Use-StringValuePtr-rather-than-STR2CSTR.patch
  * Use RbConfig instead of deprecated Config

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 May 2013 23:30:16 +0900

## mhc 0.25.1+20130612

=== debian/changelog ===
mhc (0.25.1+20130612-1) unstable; urgency=low

  * Imported Upstream version 0.25.1+20130612
  * Remove debian/patches (merged upstream)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 05 Jul 2013 19:04:15 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: ruby1.8, ruby1.8-dev, libpisock-dev (>= 0.12), debhelper (>= 7)
+Standards-Version: 3.9.4
+Build-Depends: ruby1.9.1, ruby1.9.1-dev, libpisock-dev (>= 0.12), debhelper (>= 7)
+Vcs-Git: git://anonscm.debian.org/collab-maint/mhc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mhc.git
 Homepage: http://www.quickhack.net/mhc/
 
 Package: mhc
@@ -30,7 +32,7 @@
 
 Package: mhc-utils
 Architecture: any
-Depends: ruby1.8, libgtk2-ruby, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby1.9.1, ruby-gtk2, ${shlibs:Depends}, ${misc:Depends}
 Recommends: mhc
 Suggests: ssh, menu
 Description: command line/GUI utilities for the MHC schedule management system

## mhc 0.25.1+20130926

=== debian/changelog ===
mhc (0.25.1+20130926-1) unstable; urgency=low

  * Imported Upstream version 0.25.1+20130926
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Dec 2013 22:33:51 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: ruby1.9.1, ruby1.9.1-dev, libpisock-dev (>= 0.12), debhelper (>= 7)
 Vcs-Git: git://anonscm.debian.org/collab-maint/mhc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mhc.git

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 RUBY=/usr/bin/ruby1.9.1
 DESTDIR := $(CURDIR)/debian/mhc-utils
-RUBYLIBDIR:=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
-RUBYARCHDIR:=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["archdir"]')
+RUBYLIBDIR:=$(shell $(RUBY) -rrbconfig -e 'puts RbConfig::CONFIG["rubylibdir"]')
+RUBYARCHDIR:=$(shell $(RUBY) -rrbconfig -e 'puts RbConfig::CONFIG["archdir"]')
 
 build-indep: build-indep-stamp
 build-indep-stamp:

=== debian/watch ===
version=3
opts="uversionmangle=s/([0-9]{8})/0.25.1+$1/" \
http://www.quickhack.net/mhc/ arc/mhc-([0-9].*)\.tar\.gz debian uupdate

## mhc 1.0.3

=== debian/changelog ===
mhc (1.0.3-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3
  * Drop 030_https.patch (fixed upstream)

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 17 Jun 2015 18:22:53 +0900

mhc (1.0.2-2) experimental; urgency=medium

  * New patch 030_https.patch to verify certificates for mhc sync
  * Add examples of X-SC-Category to mhc.5
  * Update README.Debian
  * Update dot.emacs.el

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 11 Jun 2015 22:44:43 +0900

mhc (1.0.2-1) experimental; urgency=medium

  * Imported Upstream version 1.0.2
  * Refresh 010_rubygems.patch
  * Drop bundler dependency
  * Update Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 07 Jun 2015 01:36:06 +0900

mhc (1.0.1-1) experimental; urgency=medium

  * Imported Upstream version 1.0.1
  * Follow the mhc command without mhc-mua-setup in startup
  * Update README.Debian to follow the mhc command
  * Refresh 020_rical.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 30 May 2015 14:27:15 +0900

mhc (1.0.0-1) experimental; urgency=low

  * Imported Upstream version 1.0.0
    - Drastically changed from the previous release
    - Dropped support for individual MUAs
      (For now, mhc-mua acts as a generic pseudo-MUA)
  * Update debian/copyright
  * Update Standards-Version to 3.9.6
  * Adjust installation of Elisp files
  * Adjust installation of Ruby utilities
  * Drop 010_nnmhc.patch
  * New patch 010_rubygems.patch to drop rubygems dependency
  * New patch 020_rical.patch to import forked ri_cal
  * Update debian/copyright for ri_cal
  * Update debian/watch
  * Add uuid-runtime to Suggests for update-uuid.sh
  * Typo fix for mhc.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Apr 2015 17:16:10 +0900

mhc (0.25.1+20130926-6) unstable; urgency=medium

  * Update debian/copyright
  * Update Standards-Version to 3.9.6
  * Update debian/watch
  * Typo fix for mhc.5
  * Drop menu dependency (closes: #647374)
  * Update Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 30 May 2015 14:48:24 +0900

mhc (0.25.1+20130926-5) unstable; urgency=medium

  * New patch 010_nnmhc.patch to work with Gnus in emacs24 (closes: #743255)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Oct 2014 21:27:40 +0900

mhc (0.25.1+20130926-4) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 19:44:01 +0900

mhc (0.25.1+20130926-3) unstable; urgency=medium

  * Depend on ruby instead of ruby2.0 (closes: #748750)
  * Depend on ruby-cairo for mhc-utils

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 21 May 2014 20:39:31 +0900

mhc (0.25.1+20130926-2) unstable; urgency=medium

  * Use ruby2.0 with ruby-gtk2 (>= 2.1.0)
  * Move bitmap-mule from Recommends to Suggests
  * Install a compat file with emacsen-compat
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Handle an installed file to follow emacsen-common 2.0.7
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 21 Feb 2014 22:21:13 +0900

=== debian/control ===
Source: mhc
Section: misc
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Standards-Version: 3.9.6
Build-Depends: ruby, debhelper (>= 7)
Vcs-Git: git://anonscm.debian.org/collab-maint/mhc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mhc.git
Homepage: http://www.quickhack.net/mhc/

Package: mhc
Section: lisp
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs-snapshot, mhc-utils (>= 1.0.0~), ${misc:Depends}
Suggests: gv, cups-client | lprng, uuid-runtime
Replaces: mhc-utils
Description: schedule management tool for Emacs
 MHC (Message Harmonized Calendaring system) is a personal schedule
 management system, that is designed to help those who receive most
 appointments via email.
 .
 MHC has the following features:
  - You can easily import schedule articles from existing buffers.
  - Simple data structure; schedule articles are stored in the same form
    of MH that allows you to manipulate stored data in many ways.
  - Powerful but simple expression of appointments.
 .
 Non Elisp utilities are provided by the mhc-utils package.

Package: mhc-utils
Architecture: all
Depends: ruby, ruby-thor, ruby-tzinfo, ${misc:Depends}
Recommends: mhc
Description: utilities for the MHC schedule management system
 MHC (Message Harmonized Calendaring system) is a personal schedule
 management system, that is designed to help those who receive most
 appointments via email.
 .
 MHC has the following features:
  - You can easily import schedule articles from existing buffers.
  - Simple data structure; schedule articles are stored in the same form
    of MH that allows you to manipulate stored data in many ways.
  - Powerful but simple expression of appointments.
 .
 This package provides the mhc command and Ruby libraries.  To use MHC
 on Emacs, install the mhc package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

SCRIPTS=mhc
RUBY=/usr/bin/ruby
DESTDIR := $(CURDIR)/debian/mhc-utils
RUBYLIBDIR:=$(shell $(RUBY) -rrbconfig -e 'puts RbConfig::CONFIG["rubylibdir"]')

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch $@

build-arch:

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	dh_clean

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp emacs/*.el debian/mhc/usr/share/emacs/site-lisp/mhc
	cp icons/*.xbm debian/mhc/usr/share/pixmaps/mhc/xbm
	cp icons/*.xpm debian/mhc/usr/share/pixmaps/mhc

	cp xpm/*.xpm debian/mhc-utils/usr/share/pixmaps/mhc
	for s in $(SCRIPTS); \
	do \
	  install -m 755 bin/$$s $(CURDIR)/debian/mhc-utils/usr/bin/$$s; \
	done
	install -d $(DESTDIR)/$(RUBYLIBDIR)
	cp -dR lib/mhc* $(DESTDIR)/$(RUBYLIBDIR)

install-arch:

install: install-arch install-indep

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installemacsen
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_strip
	dh_compress -Xjapanese-holidays.mhcc
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch install-arch

binary: binary-arch binary-indep
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install

## mhc 1.0.4

=== debian/changelog ===
mhc (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Add emacs-calfw to Suggests
  * Install into vendordir instead of rubylibdir
  * Update README.Debian to follow mhc-summary-mode

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 23 Sep 2015 17:22:24 +0900

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,6 @@
 CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
 CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
 LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
-
-SCRIPTS=mhc
-RUBY=/usr/bin/ruby
-DESTDIR := $(CURDIR)/debian/mhc-utils
-RUBYLIBDIR:=$(shell $(RUBY) -rrbconfig -e 'puts RbConfig::CONFIG["rubylibdir"]')
 
 build-indep: build-indep-stamp
 build-indep-stamp:
@@ -39,12 +34,8 @@
 	cp icons/*.xpm debian/mhc/usr/share/pixmaps/mhc
 
 	cp xpm/*.xpm debian/mhc-utils/usr/share/pixmaps/mhc
-	for s in $(SCRIPTS); \
-	do \
-	  install -m 755 bin/$$s $(CURDIR)/debian/mhc-utils/usr/bin/$$s; \
-	done
-	install -d $(DESTDIR)/$(RUBYLIBDIR)
-	cp -dR lib/mhc* $(DESTDIR)/$(RUBYLIBDIR)
+	install -m 755 bin/mhc $(CURDIR)/debian/mhc-utils/usr/bin
+	cp -dR lib/mhc* $(CURDIR)/debian/mhc-utils/usr/lib/ruby/vendor_ruby
 
 install-arch:

## mhc 1.1.0

=== debian/changelog ===
mhc (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Remove unused hardening flags

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 30 Oct 2015 22:18:48 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: ruby, debhelper (>= 7)
+Build-Depends: debhelper (>= 7)
 Vcs-Git: git://anonscm.debian.org/collab-maint/mhc.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mhc.git
 Homepage: http://www.quickhack.net/mhc/
@@ -12,7 +12,7 @@
 Section: lisp
 Architecture: all
 Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs-snapshot, mhc-utils (>= 1.0.0~), ${misc:Depends}
-Suggests: gv, cups-client | lprng, uuid-runtime
+Suggests: gv, cups-client | lprng, uuid-runtime, emacs-calfw
 Replaces: mhc-utils
 Description: schedule management tool for Emacs
  MHC (Message Harmonized Calendaring system) is a personal schedule

## mhc 1.1.1

=== debian/changelog ===
mhc (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1
  * Update Vcs-Browser to https

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 27 Nov 2015 22:49:45 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7)
 Vcs-Git: git://anonscm.debian.org/collab-maint/mhc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mhc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mhc.git
 Homepage: http://www.quickhack.net/mhc/
 
 Package: mhc

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mhc-$1\.tar\.gz/ \
  https://github.com/yoshinari-nomura/mhc/tags .*/v?(\d\S*)\.tar\.gz

## mhc 1.1.1+0.20171016

=== debian/changelog ===
mhc (1.1.1+0.20171016-1) unstable; urgency=medium

  * New upstream version 1.1.1+0.20171016
  * Update 020_rical.patch to 2017-03-14
  * Update debhelper compat version to 10
  * Prefer emacs-nox over emacs
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 24 Jan 2018 20:19:06 +0900

mhc (1.1.1-2) unstable; urgency=medium

  * Accept emacs25
  * Update debian/copyright
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 23 Oct 2016 23:03:16 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7)
-Vcs-Git: git://anonscm.debian.org/collab-maint/mhc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mhc.git
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10)
+Vcs-Browser: https://salsa.debian.org/debian/mhc
+Vcs-Git: https://salsa.debian.org/debian/mhc.git
 Homepage: http://www.quickhack.net/mhc/
 
 Package: mhc
 Section: lisp
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs-snapshot, mhc-utils (>= 1.0.0~), ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, mhc-utils (>= 1.0.0~), ${misc:Depends}
 Suggests: gv, cups-client | lprng, uuid-runtime, emacs-calfw
 Replaces: mhc-utils
 Description: schedule management tool for Emacs

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
-CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
-CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
-LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
 
 build-indep: build-indep-stamp
 build-indep-stamp:

## mhc 1.1.1+0.20180314

=== debian/changelog ===
mhc (1.1.1+0.20180314-1) unstable; urgency=medium

  * New upstream version 1.1.1+0.20180314

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 15 Mar 2018 23:49:19 +0900

## mhc 1.1.1+0.20180520

=== debian/changelog ===
mhc (1.1.1+0.20180520-1) unstable; urgency=medium

  * New upstream version 1.1.1+0.20180520
  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 21:45:58 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11)
 Vcs-Browser: https://salsa.debian.org/debian/mhc
 Vcs-Git: https://salsa.debian.org/debian/mhc.git
 Homepage: http://www.quickhack.net/mhc/

## mhc 1.2.0

=== debian/changelog ===
mhc (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Depend on mhc-utils which supports the validate command

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 18 Jul 2018 21:48:54 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: mhc
 Section: lisp
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, mhc-utils (>= 1.0.0~), ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, mhc-utils (>= 1.1.1+0.20160622), ${misc:Depends}
 Suggests: gv, cups-client | lprng, uuid-runtime, emacs-calfw
 Replaces: mhc-utils
 Description: schedule management tool for Emacs

## mhc 1.2.1

=== debian/changelog ===
mhc (1.2.1-2) unstable; urgency=medium

  * New patch 030_reiwa.patch to support Japan's new era 令和 (Reiwa)
    and new holidays (closes: #928305)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 02 May 2019 20:17:00 +0900

mhc (1.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * New upstream version 1.2.1
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Jan 2019 16:57:13 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 11)
 Vcs-Browser: https://salsa.debian.org/debian/mhc
 Vcs-Git: https://salsa.debian.org/debian/mhc.git
 Homepage: http://www.quickhack.net/mhc/

## mhc 1.2.2

=== debian/changelog ===
mhc (1.2.2-2) unstable; urgency=medium

  * Update debhelper-compat to 12

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 23:36:53 +0900

mhc (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Drop 030_reiwa.patch
  * Update Standards-Version to 4.4.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Jul 2019 18:25:13 +0900

## mhc 1.2.3

=== debian/changelog ===
mhc (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 06 Aug 2019 19:46:27 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper-compat (= 11)
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12)
 Vcs-Browser: https://salsa.debian.org/debian/mhc
 Vcs-Git: https://salsa.debian.org/debian/mhc.git
 Homepage: http://www.quickhack.net/mhc/

## mhc 1.2.3+0.20200403

=== debian/changelog ===
mhc (1.2.3+0.20200403-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Tatsuya Kinoshita ]
  * New upstream version 1.2.3+0.20200403
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 13
  * Update debian/watch to version 4
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 May 2020 21:29:11 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
 Vcs-Browser: https://salsa.debian.org/debian/mhc
 Vcs-Git: https://salsa.debian.org/debian/mhc.git
-Homepage: http://www.quickhack.net/mhc/
+Homepage: https://www.quickhack.net/mhc/
+Rules-Requires-Root: no
 
 Package: mhc
 Section: lisp

## mhc 1.2.4

=== emacs/Makefile ===
# -*- Makefile -*-

################################################################
## Use Emacs.app if available and anothr EMACS is not specified by user

COCOA_EMACS := /Applications/Emacs.app/Contents/MacOS/Emacs

ifneq ("$(wildcard $(COCOA_EMACS))", "")
	EMACS ?= $(COCOA_EMACS)
else
	EMACS ?= emacs
endif

################################################################
## Use cask if available and another CASK is not specified by user

CASK_VERSION := $(shell EMACS="$(EMACS)" cask --version 2>/dev/null)

ifdef CASK_VERSION
	CASK ?= cask
endif

ifdef CASK
	CASK_EXEC    ?= exec
	CASK_INSTALL ?= install
endif

################################################################
## cask, emacs and flags

COMPILER := $(CASK) $(CASK_EXEC) $(EMACS)
#FLAGS    := -Q -batch -L . -L .cask/24.3.1/elpa/org-plus-contrib-20140922 -L .cask/24.3.1/elpa/calfw-20140407.2212 -l mhc
FLAGS    := -Q -batch -L . -l mhc
ELFILES  := $(wildcard *.el)
ELCFILES := $(ELFILES:el=elc)

################################################################
## Suffix rules

.SUFFIXES: .elc .el

.el.elc:
	-rm -f $@
	$(COMPILER) $(FLAGS) -f batch-byte-compile $<

################################################################
### Targets

all: setup build

build: $(ELCFILES)
#	$(COMPILER) $(FLAGS) -f batch-byte-compile *.el

clean:
	-rm -f *.elc auto-autoloads.el custom-load.el *~

setup:
	$(CASK) $(CASK_INSTALL)

=== debian/changelog ===
mhc (1.2.4-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.
  * Remove empty maintainer scripts: mhc (prerm), mhc (postinst)

  [ Tatsuya Kinoshita ]
  * New patch 040_todo-range.patch to ignore out-of-range todo items
  * New patch 050_yaml-ruby31.patch to support Ruby 3.1
  * New patch 060_showa.patch to correct japanese-holidays.mhcc
  * Update debian/copyright
  * Avoid egrep in maintainer scripts
  * Leave a compilation log
  * Prevent native compilation when byte-compiling
  * Relax dependencies on emacs flavors

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Jan 2023 16:27:52 +0900

mhc (1.2.4-5) unstable; urgency=medium

  * Update no-native-compile handling

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Aug 2021 19:40:42 +0900

mhc (1.2.4-4) experimental; urgency=medium

  * Update no-native-compile handling

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 05 May 2021 20:21:12 +0900

mhc (1.2.4-3) experimental; urgency=medium

  * Set no-native-compile to t in *.el files for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 02 May 2021 14:45:35 +0900

mhc (1.2.4-2) unstable; urgency=medium

  * New patch 030_expr-compile.patch to prevent unused lexical argument
  * Update autoloads in emacsen-startup
  * Update README.Debian for keys in mhc-summary-mode
  * Update sample of ~/.emacs
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 27 Dec 2020 13:23:26 +0900

mhc (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Remove obsolete mhc-select-mailer-package from emacsen-startup
  * Remove XEmacs support from emacsen-startup
  * Add autoload for mhc-import to emacsen-startup
  * Update documents for mhc-import
  * Remove obsolete configuration from examples
  * Mention japanese-holidays.mhcc in README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 13 Nov 2020 20:35:22 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13)
 Vcs-Browser: https://salsa.debian.org/debian/mhc
 Vcs-Git: https://salsa.debian.org/debian/mhc.git
@@ -12,7 +12,8 @@
 Package: mhc
 Section: lisp
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, mhc-utils (>= 1.1.1+0.20160622), ${misc:Depends}
+Depends: emacsen-common, mhc-utils (>= 1.1.1+0.20160622), ${misc:Depends}
+Recommends: emacs-nox | emacs
 Suggests: gv, cups-client | lprng, uuid-runtime, emacs-calfw
 Replaces: mhc-utils
 Description: schedule management tool for Emacs

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,12 @@
 	dh_prep
 	dh_installdirs
 
-	cp emacs/*.el debian/mhc/usr/share/emacs/site-lisp/mhc
+	cp emacs/*.el debian/mhc/usr/share/mhc
+	for f in debian/mhc/usr/share/mhc/*.el; do \
+	  if [ -f "$$f" ]; then \
+	    perl -pi -e 'if ($$. == 1 && !/no-native-compile:/) { if (!/;/) { s/^/;;; -*--*-\n/ } elsif (!/-\*-.*-\*-/) { s/$$/ -*--*-/ } s/-\*- *emacs-lisp *-\*-/-*-mode: emacs-lisp;-*-/i; s/-\*-/-*-no-native-compile: t;/ }' "$$f"; \
+	  fi; \
+	done
 	cp icons/*.xbm debian/mhc/usr/share/pixmaps/mhc/xbm
 	cp icons/*.xpm debian/mhc/usr/share/pixmaps/mhc
